### Method

# Gio TlsPassword get_warning

since: 2.30

#### Declaration

    const gchar*
    g_tls_password_get_warning (
      GTlsPassword* password
    )

#### Description

Get a user readable translated warning. Usually this warning is a representation of the password flags returned from g_tls_password_get_flags().

Available since: 2.30

Gets property | `Gio.TlsPassword:warning`

#### Return value

Type: `const gchar*`

The warning.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.